javax.xml.ws.soap

## Class SOAPFaultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.ws.WebServiceException
        - - javax.xml.ws.ProtocolException
          - - javax.xml.ws.soap.SOAPFaultException

All Implemented Interfaces:
  Serializable

    public class SOAPFaultException
    extends ProtocolException

The `SOAPFaultException` exception represents a SOAP 1.1 or 1.2 fault.

A `SOAPFaultException` wraps a SAAJ `SOAPFault` that manages the SOAP-specific representation of faults. The `createFault` method of `javax.xml.soap.SOAPFactory` may be used to create an instance of `javax.xml.soap.SOAPFault` for use with the constructor. `SOAPBinding` contains an accessor for the `SOAPFactory` used by the binding instance.

Note that the value of `getFault` is the only part of the exception used when searializing a SOAP fault.

Refer to the SOAP specification for a complete description of SOAP faults.

Since:
  JAX-WS 2.0
See Also:
  `SOAPFault`, `SOAPBinding.getSOAPFactory()`, `ProtocolException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SOAPFaultException(SOAPFault fault)` Constructor for SOAPFaultException

### Method Summary

Methods
`SOAPFault` `getFault()` Gets the embedded `SOAPFault` instance.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SOAPFaultException

    public SOAPFaultException(SOAPFault fault)

Constructor for SOAPFaultException

Parameters:
  `fault` - `SOAPFault` representing the fault
See Also:
  `SOAPFactory.createFault(java.lang.String, javax.xml.namespace.QName)`

### Method Detail

#### getFault

    public SOAPFault getFault()

Gets the embedded `SOAPFault` instance.

Returns:
  `javax.xml.soap.SOAPFault` SOAP fault element

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.